You can access Stormkit API by using API Keys. Currently, there are three-level API keys:
This API Key will grant programmatic access to everything in your Stormkit account.
gear icon of the Team you would like to access toThis API Key will grant access to all applications owned by the team.
This API Key will grant access to the specified environment.
Important: The API key token is displayed only once immediately after creation. Make sure to copy it before closing the dialog — it cannot be retrieved afterwards. If you lose the key, delete it and create a new one.
Once the API Key is obtained, add an Authorization header and use the API key. For example:
# Using the User Level API Key:
curl -X GET \
-H 'Authorization: Bearer <api_key>' \
-H 'Content-Type: application/json' \
'https://api.stormkit.io/v1/snippets?envId=4151'
# Using the Team Level API Key:
curl -X GET \
-H 'Authorization: <api_key>' \
-H 'Content-Type: application/json' \
'https://api.stormkit.io/v1/apps'
# Using the Environment Level API Key:
curl -X GET \
-H 'Authorization: <api_key>' \
-H 'Content-Type: application/json' \
'https://api.stormkit.io/v1/redirects?appId=48961&envId=58181'